Subject: [iccrg] About Path Congestion, do you have an interest at it?

From: Dangjuanna <[email-masked]>
Date: Fri, 15 Mar 2019 01:46:20 +0000

Hi everyone,
Recently I have submitted the draft named draft-dang-ippm-congestion(https://tools.ietf.org/html/draft-dang-ippm-congestion-01) and draft-dang-ippm-multiple-path-measurement-01.txt (https://tools.ietf.org/id/draft-dang-ippm-multiple-path-measurement-01.txt).
I saw that our WG is concerned about congestion. So I want to know if we are interested in my drafts?

There are some questions I need to discuss with the experts.

Q1: Is path congestion required? Is this requirement strong?
  Import ServiceA Traffic to the path1
                  \
                   \
                   NodeA----------NodeN1----------NodeN2----------NodeB
                                 Figure: Path1
As figure Path1 is shown,
[Premise] Path1 is from Node A to NodeB. Path1 may be MPLS TE, SR TE Tunnel or VXLAN.
[Requirement] Get the congestion degree of Path1 in order to make sure the service experience.

Before, everyone was very concerned about the congestion of single device nodes. Along with the network development，we should pay more attention to the business perspective. Therefore, the path perspective of carrying the service is also required. I understand that the requirement for path congestion exists.

And I think this demand will become more and more important.

Q2: What is path congestion?
For the sake of explanation, I introduce a concept named Path Queue. The PathA Queue is activated if congestion occurs at any node along the Path1. Furthermore, when the PathA Queue is activated, it indicates that the path has been congested.

What do you think of it?
I am very happy and open to get everyone's thoughts.

Thank you,
Joanna